Usage
Get usage
GET
Plan, credits left and limits.
apiKeyheader
AuthorizationBearer <token>A Poko API key (poko_live_…) from Poko Motion → Settings → API.
workspace_id*stringWorkspace id. GET /api/me returns the key's default workspace (workspaceId); GET /api/workspace/mine lists all of them.
Success
application/json- response
success?booleandata?curl -X GET 'https://api.poko.video/api/motion-billing/status?workspace_id=string'Example Response
{ "success": true, "data": { "tier": "motion_pro", "plan_name": "Motion Pro", "workspace_role": "owner", "can_manage_billing": true, "checkout_provider": "dodo", "market": "default", "is_trial": false, "is_lifetime": false, "is_dealify": false, "managed_models_poko_only": false, "can_use_byok": true, "can_connect_agent_subscriptions": true, "can_use_agent_gateway": true, "can_use_enhance_recording": false, "can_use_cloud": false, "is_api_local": true, "automation_rate_limits": { "generations_per_minute": 5, "generations_per_hour": 40, "exports_per_minute": 2, "exports_per_hour": 20, "reads_per_minute": 60, "max_queued_generations": 10 }, "max_parallel_agents": 2, "can_queue_agents": true, "can_multi_chat": false, "budget": { "balance": { "primary_kind": "wallet_usd", "wallet": { "currency": "USD", "included_budget": 20, "included_used": 4.25, "included_remaining": 15.75, "topup_remaining": 10, "total_remaining": 25.75 }, "credits": { "balance": 0, "unit": "poko_ai_credit", "credits_per_usd": 100, "value_usd": 0 } }, "included_budget_usd": 20, "included_used_usd": 4.25, "included_remaining_usd": 15.75, "member_quota_usd": 0, "member_quota_used_usd": 0, "member_quota_remaining_usd": 0, "member_quota_credits": 0, "member_quota_used_credits": 0, "member_quota_remaining_credits": 0, "topup_remaining_usd": 10, "total_remaining_usd": 25.75, "poko_ai_credits": 0 }, "can_use_ai": true, "can_top_up": true, "max_projects": -1, "max_workspaces": 1, "can_use_team": false, "included_team_seats": 1, "has_priority_render": false, "subscription": { "provider": "dodo", "billing_interval": "month", "status": "active", "cancel_at_next_billing": false, "next_billing_date": "2026-12-01T00:00:00.000Z", "previous_billing_date": "2026-11-01T00:00:00.000Z", "can_reactivate": false }, "all_plans": [ { "tier": "motion_pro", "name": "Motion Pro", "is_lifetime": false, "price_month_usd": 49, "price_annual_usd": 441, "price_lifetime_usd": 0, "quote": { "market": "default", "currency": "USD", "price_month": 49, "price_annual": 441, "price_lifetime": 0 }, "included_usage_usd": 0, "recurring_credit_usd": 20, "one_time_credit_usd": 0, "can_use_byok": true, "can_connect_agent_subscriptions": true, "can_use_agent_gateway": true, "max_projects": -1, "max_parallel_agents": 2, "can_queue_agents": true, "can_multi_chat": false, "max_workspaces": 1, "can_use_team": false, "included_team_seats": 1, "has_priority_render": false, "has_priority_support": false, "automation_rate_limits": { "generations_per_minute": 5, "generations_per_hour": 40, "exports_per_minute": 2, "exports_per_hour": 20, "reads_per_minute": 60, "max_queued_generations": 10 } }, { "tier": "motion_agency", "name": "Motion Agency", "is_lifetime": false, "price_month_usd": 99, "price_annual_usd": 891, "price_lifetime_usd": 0, "quote": { "market": "default", "currency": "USD", "price_month": 99, "price_annual": 891, "price_lifetime": 0 }, "included_usage_usd": 0, "recurring_credit_usd": 40, "one_time_credit_usd": 0, "can_use_byok": true, "can_connect_agent_subscriptions": true, "can_use_agent_gateway": true, "max_projects": -1, "max_parallel_agents": 5, "can_queue_agents": true, "can_multi_chat": false, "max_workspaces": 25, "can_use_team": true, "included_team_seats": 5, "has_priority_render": true, "has_priority_support": true, "automation_rate_limits": { "generations_per_minute": 10, "generations_per_hour": 80, "exports_per_minute": 3, "exports_per_hour": 40, "reads_per_minute": 120, "max_queued_generations": 25 } } ], "topup_limits": { "min": 5, "max": 500 }, "poko_engine_pricing": [ { "id": "poko-pulse", "name": "Poko Pulse", "role": "Quality default", "description": "For full video builds and complex, multi-step work.", "inputUsdPerMillion": 0.9, "outputUsdPerMillion": 2.9, "cachedInputUsdPerMillion": 0.3 }, { "id": "poko-flow", "name": "Poko Flow", "role": "Fast iteration", "description": "For fast edits, iteration, and short-turnaround tasks.", "inputUsdPerMillion": 1.3, "outputUsdPerMillion": 5.3, "cachedInputUsdPerMillion": 0.26 } ], "poko_ltd_founder_discount": { "percentage": 10, "is_eligible": false } }}